/*
 *	chartype.h
 */

#ifndef _CHARTYPE_H_
#define _CHARTYPE_H_

#include <gba.h>

#define CT_ANSI		0
#define CT_KANA		1
#define CT_KANJI	2

#define CT_LAST		3

/*
 *	Macros
 */

#define GETCHARTYPE(c)	(CharType[((c) >> 5)])
#define GETCHARLENGTH(c)	(GETCHARTYPE(c) == CT_KANJI ? 2 : 1)
#define CHARNEXT(pp)	(*(pp) += (GETCHARTYPE(**(pp)) == CT_KANJI) ? 2 : 1)

/*
 *	Globals
 */

extern const int	CharType[];

#endif // _CHARTYPE_H_

