/*
 *	keymap.h
 */

#ifndef	_KEYMAP_H_
#define	_KEYMAP_H_

#include <gba.h>

#define KF_OK		1
#define KF_BACK		2
#define KF_NEXTPAGE	3
#define KF_PREVPAGE	4
#define KF_NEXTITEM	5
#define KF_PREVITEM	6
#define KF_OPTIONS	7
#define KF_BOOKMARK	8

typedef struct _KEYMAP {
	int	left;
	int	right;
	int	up;
	int	down;
	int	a;
	int	b;
	int	l;
	int	r;
	int	select;
	int	start;
} KEYMAP, *PKEYMAP;

/*
 *	external functions
 */

int GetKeyFunc(int key);
PKEYMAP GetKeyMap();
void SetKeyMap(int mode);
PKEYMAP GetFilerKeyMap();
PKEYMAP GetTextKeyMap();
PKEYMAP GetBaseKeyMap();
void SetBaseKeyMap(PKEYMAP pkey);
void InitKeyMap();

#endif	// _KEYMAP_H_

